# Images for F-Droid

## Required files:

### icon.png
- Size: 512x512 pixels
- Format: PNG
- Content: App icon

### phoneScreenshots/
- Minimum 2-3 screenshots
- Format: PNG or JPG
- Size: Phone screen resolution (e.g., 1080x2400)
- Show main app features

### tenInchScreenshots/ (optional)
- Screenshots for 10-inch tablets
- Format: PNG or JPG
- Size: Large tablet resolution (e.g., 1600x2560)
- Show large screen layouts

## Current status:
✅ icon.png - Added (21KB)
✅ phoneScreenshots/ - Added (4 screenshots: 1.png, 2.png, 3.png, 4.png)
📋 tenInchScreenshots/ - Ready for large tablet screenshots

## Instructions:
1. Add app icon as `icon.png` (512x512px)
2. Add screenshots in `phoneScreenshots/` folder:
   - 1.png - Main events list
   - 2.png - Event details
   - 3.png - Charts view (optional)

Screenshots help users understand what the app does before installing.

## Instructions for tablet screenshots:
1. Run app on tablet emulator or device
2. Take screenshots showing:
   - Main events list (adaptive layout)
   - Event details (wide screen utilization)
   - Charts view (better on larger screens)
3. Name files: 1.png, 2.png, 3.png etc.

F-Droid will automatically show appropriate screenshots based on device type. 